org.apache.tamaya.filter

## Class ProgrammableFilter

- java.lang.Object
- - org.apache.tamaya.filter.ProgrammableFilter

- All Implemented Interfaces:
    org.apache.tamaya.spi.PropertyFilter

      public final class ProgrammableFilter
      extends Object
      implements org.apache.tamaya.spi.PropertyFilter

  A set of property filter and accessor methods.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgrammableFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFilter(int pos, org.apache.tamaya.spi.PropertyFilter filter)` Adds a filter at given position.
    `void` | `addFilter(org.apache.tamaya.spi.PropertyFilter filter)` Add a filter.
    `void` | `clearFilters()` Clears all filters.
    `String` | `filterProperty(String valueToBeFiltered, org.apache.tamaya.spi.FilterContext context)`
    `List<org.apache.tamaya.spi.PropertyFilter>` | `getFilters()` Get all filters.
    `org.apache.tamaya.spi.PropertyFilter` | `removeFilter(int pos)` Removes a filter at a given position.
    `void` | `removeFilter(org.apache.tamaya.spi.PropertyFilter filter)` Removes a filter.
    `void` | `setFilters(Collection<org.apache.tamaya.spi.PropertyFilter> filters)` Set the filters.
    `void` | `setFilters(org.apache.tamaya.spi.PropertyFilter... filters)` Set the filters.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProgrammableFilter

          public ProgrammableFilter()

  - ### Method Detail

    - #### addFilter

          public void addFilter(org.apache.tamaya.spi.PropertyFilter filter)

      Add a filter.
      Parameters:
        `filter` - the filter.

    - #### addFilter

          public void addFilter(int pos,
                       org.apache.tamaya.spi.PropertyFilter filter)

      Adds a filter at given position.
      Parameters:
        `pos` - the position.
        `filter` - the filter.

    - #### removeFilter

          public org.apache.tamaya.spi.PropertyFilter removeFilter(int pos)

      Removes a filter at a given position.
      Parameters:
        `pos` - the position.
      Returns:
        the filter removed, or null.

    - #### removeFilter

          public void removeFilter(org.apache.tamaya.spi.PropertyFilter filter)

      Removes a filter.
      Parameters:
        `filter` - the filter to be removed, not null.

    - #### clearFilters

          public void clearFilters()

      Clears all filters.

    - #### setFilters

          public void setFilters(org.apache.tamaya.spi.PropertyFilter... filters)

      Set the filters.
      Parameters:
        `filters` - the filters to be applied.

    - #### setFilters

          public void setFilters(Collection<org.apache.tamaya.spi.PropertyFilter> filters)

      Set the filters.
      Parameters:
        `filters` - the filters to be applied.

    - #### getFilters

          public List<org.apache.tamaya.spi.PropertyFilter> getFilters()

      Get all filters.
      Returns:
        all filters.

    - #### filterProperty

          public String filterProperty(String valueToBeFiltered,
                              org.apache.tamaya.spi.FilterContext context)

      Specified by:
        `filterProperty` in interface `org.apache.tamaya.spi.PropertyFilter`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014–2016 Apache Software Foundation. All rights reserved.